Summary: nghttp3 is an implementation of RFC 9114 HTTP/3 mapping over QUIC and RFC 9204 QPACK in C
Name: nghttp3
Version: 1.4.0
Release: 1%{?dist}
License: MIT
Url: https://github.com/ngtcp2/nghttp3
Source: https://github.com/ngtcp2/nghttp3/releases/download/v%{version}/nghttp3-%{version}.tar.xz

%if 0%{?rhel} < 8
BuildRequires: devtoolset-9-gcc devtoolset-9-gcc-c++ devtoolset-9-make
%else
BuildRequires: gcc gcc-c++ make
%endif
BuildRequires: automake
BuildRequires: libtool
BuildRequires: CUnit-devel >= 2.1

%description
%summary.

It does not depend on any particular QUIC transport implementation.

%package -n lib%{name}
Summary: A library implementing the HTTP/3 protocol

%description -n lib%{name}
libnghttp3 is a library implementing the Hypertext Transfer Protocol
version 3 (HTTP/3) protocol in C.

%package -n lib%{name}-devel
Summary: Files needed for building applications with libnghttp3
Requires: lib%{name} = %{version}-%{release}
Requires: pkgconfig

%description -n lib%{name}-devel
The libnghttp3-devel package includes libraries and header files needed
for building applications with libnghttp3.

%prep
%autosetup

%build
%if 0%{?rhel} < 8
%enable_devtoolset9
%endif
%configure --disable-static
# avoid using rpath
sed -i libtool                              \
    -e 's/^runpath_var=.*/runpath_var=/'    \
    -e 's/^hardcode_libdir_flag_spec=".*"$/hardcode_libdir_flag_spec=""/'

%make_build

%install
%make_install
# not needed on Fedora/RHEL
rm -f "$RPM_BUILD_ROOT%{_libdir}/lib%{name}.la"
# will be installed via %%doc
rm -f "$RPM_BUILD_ROOT%{_datadir}/doc/%{name}/README.rst"

%ldconfig_scriptlets -n lib%{name}

%check
%make_build check

%files -n lib%{name}
%{_libdir}/lib%{name}.so*
%{!?_licensedir:%global license %%doc}
%license COPYING

%files -n lib%{name}-devel
%{_includedir}/%{name}
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/lib%{name}.so
%doc README.rst

%changelog
* Sat Jun 15 2024 Teddysun <i@teddysun.com> - 1.4.0-1
- Update version to 1.4.0

* Thu May 09 2024 Teddysun <i@teddysun.com> - 1.3.0-1
- Update version to 1.3.0

* Sat Feb 17 2024 Teddysun <i@teddysun.com> - 1.2.0-1
- Update version to 1.2.0

* Sun Nov 26 2023 Teddysun <i@teddysun.com> - 1.1.0-1
- Update version to 1.1.0

* Sun Oct 22 2023 Teddysun <i@teddysun.com> - 1.0.0-1
- Initial version 1.0.0
